package pl.epomoce.motywaktywnosci

import android.os.Bundle
import android.widget.Button
import androidx.appcompat.app.AppCompatActivity

private var idMotyw: Int=0
private var idMotywAktywny:Int=0

class OknoGlowne : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        UstawMotyw(idMotywAktywny)
        setContentView(R.layout.activity_okno_glowne)
        val bt1=findViewById<Button>(R.id.button1)
        bt1.setOnClickListener{
            idMotyw=0//R.style.Motyw_Niebieski
            //wywołaj stan wznowienia
            recreate()
        }
        val bt2=findViewById<Button>(R.id.button2)
        bt2.setOnClickListener{
            idMotyw=1//R.style.Motyw_Zolty
            //wywołaj stan wznowienia
            recreate()
        }
    }

    fun UstawMotyw(id:Int){
        when(id){
            0->setTheme(R.style.Motyw_Niebieski)
            else->setTheme(R.style.Motyw_Zolty)
        }
    }
    //nadpisz stan wznowienia
    override fun onResume() {
        super.onResume()
        if(idMotywAktywny != idMotyw) {
            //ustaw id aktywnego motywu
            idMotywAktywny= idMotyw
           recreate()
        }
    }
}